PHP is amongst the most commonly used web programming languages. It is quite popular because it’s free software, which can be used to create responsive sites like community websites, web stores or e-teaching sites instead of static HTML-based sites. A PHP module must be activated on the web server where a PHP-driven website is hosted so that its source code can be interpreted. Because there are no license fees for this sort of module and the language offers limitless possibilities for the web applications that you develop, there’re 100s of millions of PHP-driven websites. Moreover, there’re a lot of open-source PHP scripts, which you can use for your sites without the need to possess any programming knowledge. Since there’re a couple of versions of PHP, you must verify whether the same exact version that you used while developing your site is activated on the server as well.

PHP 4, PHP 5 and PHP 7 Support in Hosting

Our hosting servers support several PHP versions, which implies that your sites will run without any problems even if your PHP scripts are out of date. We realize that an old site doesn’t invariably mean an insecure one as you may have carried out a lot of mods to its source code. That’s why we support PHP 4, PHP 5 and PHP 7 and you can select which version will be enabled for your account. You can change the version with one mouse click from your Hepsia hosting Control Panel and the new settings will be applied right away. In case you would like to run both newer and older scripts, there is even a possibility to use a different PHP version for each domain of yours simultaneously.

PHP 4, PHP 5 and PHP 7 Support in Semi-dedicated Servers

We are unfaltering in our belief that years spent setting up a website shouldn’t go down the tubes, which implies that in case you buy a semi-dedicated server from our company, you’ll be able to use any script, irrespective of whether it’s old or new. In stark contrast to lots of web hosting providers, we support a number of different PHP versions on our avant-garde cloud platform – 4, 5 and 7. Not only will you be able to enable the required version through your Hepsia Control Panel, but you will also have the option to set a different PHP version for each single website. The latter can be accomplished merely by placing an .htaccess file into the root directory of the given site. You can change the version both for a single site and for the account itself and the new settings will take effect in less than a few minutes. With our web hosting services, you can be sure that you won’t ever experience any site compatibility problems.